## dayjournal 12.06.16-extras12.04.1

=== debian/changelog ===
dayjournal (12.06.16-extras12.04.1) precise; urgency=low

  * Initial release

 -- Zach Burnham <thejambi@gmail.com>  Thu, 26 Jul 2012 20:18:48 -0400
