=== debian/control ===
Source: dayjournal
Section: python
Priority: extra
Build-Depends: libglib2.0-bin,
 debhelper (>= 8),
 python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Zach Burnham <thejambi@gmail.com>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: dayjournal
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-launchpad-integration-3.0,
 yelp
Description: Simple, minimal, digital journal.
 Other journaling software keeps your journal entries
 out of your control and always seems to be required
 in order to access your data.
 But with DayJournal, every entry is automatically
 saved as a text file in an automatically organized
 DayJournal directory. This means that journal entries
 created in DayJournal will outlive DayJournal itself,
 unlike other digital tools. 
 Simply put, DayJournal is the simple digital journal
 that finally does it right.
