=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/dayjournal                 --install-data=/opt/extras.ubuntu.com/dayjournal                 --install-lib=/opt/extras.ubuntu.com/dayjournal

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/dayjournal


override_dh_install:
	dh_install
	mkdir -p debian/dayjournal/opt/extras.ubuntu.com/dayjournal/bin
	if [ -x debian/dayjournal/opt/extras.ubuntu.com/dayjournal/dayjournal/dayjournal ]; then mv debian/dayjournal/opt/extras.ubuntu.com/dayjournal/dayjournal/dayjournal debian/dayjournal/opt/extras.ubuntu.com/dayjournal/bin; fi
	if [ -f debian/dayjournal/opt/extras.ubuntu.com/dayjournal/share/applications/dayjournal.desktop ]; then \
		mkdir -p debian/dayjournal/usr/share/applications; \
		mv debian/dayjournal/opt/extras.ubuntu.com/dayjournal/share/applications/dayjournal.desktop debian/dayjournal/usr/share/applications/extras-dayjournal.desktop; \
		rmdir --ignore-fail-on-non-empty debian/dayjournal/opt/extras.ubuntu.com/dayjournal/share/applications; \
		sed -i 's|Exec=.*|Exec=/opt/extras.ubuntu.com/dayjournal/bin/dayjournal|' debian/dayjournal/usr/share/applications/extras-dayjournal.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/dayjournal/|' debian/dayjournal/usr/share/applications/extras-dayjournal.desktop; \
	fi
	grep -RlZ 'import gettext' debian/dayjournal/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/dayjournal/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('dayjournal')" debian/dayjournal/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('dayjournal')\)|locale\.bindtextdomain('dayjournal', '/opt/extras.ubuntu.com/dayjournal/share/locale')\nlocale\1|" 
	sed -i "s|__dayjournal_data_directory__ =.*|__dayjournal_data_directory__ = '/opt/extras.ubuntu.com/dayjournal/share/dayjournal/'|" debian/dayjournal/opt/extras.ubuntu.com/dayjournal/dayjournal*/dayjournalconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/dayjournal/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/dayjournal/opt/extras.ubuntu.com/dayjournal/bin/dayjournal
	if [ -d debian/dayjournal/opt/extras.ubuntu.com/dayjournal/share/glib-2.0/schemas ]; then glib-compile-schemas debian/dayjournal/opt/extras.ubuntu.com/dayjournal/share/glib-2.0/schemas; fi
	if [ -d debian/dayjournal/opt/extras.ubuntu.com/dayjournal/share/dayjournal/media/orig ]; then rm -rf debian/dayjournal/opt/extras.ubuntu.com/dayjournal/share/dayjournal/media/orig; fi
